package de.szut.lf8_starter.project.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.PropertyNamingStrategies;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDate;
import java.util.List;

@Getter
@Setter
@JsonNaming(PropertyNamingStrategies.SnakeCaseStrategy.class)
public class CreateProjectDto {
    @NotBlank
    private String name;

    @NotNull
    private long leadingEmployee;

    private List<Long> employees;

    @NotNull
    private long contractor;

    @NotBlank
    private String contractorName;

    @NotBlank
    private String comment;

    @JsonFormat(pattern = "dd.MM.yyyy")
    @NotNull
    private LocalDate startDate;

    @JsonFormat(pattern = "dd.MM.yyyy")
    @NotNull
    private LocalDate plannedEndDate;

    @JsonFormat(pattern = "dd.MM.yyyy")
    private LocalDate endDate;
}
